{
  description = "Sewing Tools";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs =
    { self
    , nixpkgs
    , flake-utils
    }:
    (flake-utils.lib.eachDefaultSystem (system:
    let pkgs = nixpkgs.legacyPackages.${system};
    in {

      packages.valentina-061 = pkgs.libsForQt512.callPackage pkgs/valentina-0.6.1.nix { };
      packages.valentina = self.packages.${system}.valentina-061;

      packages.seamly2d = pkgs.libsForQt512.callPackage pkgs/seamly2d-2022-06-13.nix { };

      # nix build
      packages.default = self.packages.${system}.valentina;
      # TODO: Legacy attribute, drop soon
      defaultPackage = self.packages.${system}.default;


    }));
}
